Bug 798837 - RFE: Customisable "Report a Bug" link
RFE: Customisable "Report a Bug" link
Status: CLOSED DEFERRED
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Lee Newson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 22:29 EST by Joshua Wulf
Modified: 2014-10-19 19:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-19 05:24:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-02-29 22:29:04 EST
We would like to use the "Report a Bug" link injection in a QE mode.

So we want to customise the text to say something like "QE Comment"
and customise the URL to be something like: 

http://zanata-fortitude.lab.eng.bne.redhat.com:8080/webtrans/Application.html?project=SOA-GSG&iteration=5.3&localeId=es&locale=en#view:doc;doc:topics/6110

Maybe we could have in the spec file metadata section something like:

BUG_REPORT_TEXT: "QE Comment"
BUG_REPORT_URL: http://zanata-fortitute.lab.eng.bne.redhat.com:8080/webtrans/Application.html?project=SOA-GSG&iteration=5.3&localId-es&locale=en#view:doc;doc:topics/<<TOPICID>>


So <<TOPICID>> would signal to the injector to put the topic ID in.
Comment 3 Misty Stanley-Jones 2012-02-29 22:50:13 EST
This is not a good idea. I've talked to David Le Sage, and I don't think this
is the right process for QE. Until I see some more justification about why the
process used by EAP 6 is not appropriate, we should not go forward with this.
Comment 4 Joshua Wulf 2012-02-29 23:03:22 EST
Reopening and separating from the implementation as a QE process, which was a red herring. Sorry for confusing the situation with that.

It may not be suitable for a QE workflow, but the feature is necessary.

I also need this functionality for:

https://engineering.redhat.com/docs/en-US/Engineering_Content_Services/1/html/Content_Spec_Processor_Guide/index.html

and other books that have been published internally. Currently it is not possible to get feedback for these books and the "Report a bug" link leads to a dead-end.

We also need it for an editing workflow that uses Zanata. See https://engineering.redhat.com/rt/Ticket/Display.html?id=140980

The QE idea is not the only, or even main application, just another possibility.
Comment 5 Joshua Wulf 2012-02-29 23:05:05 EST
I might add that this feature is needed to enable (QE) feedback to go to Bugzilla for non-EAP products.
Comment 6 Joshua Wulf 2012-02-29 23:11:12 EST
If we add <<TOPIC_TEXT>> (a plain text representation of the topic xml) or <<TOPIC_XML>> as an injectable entity it will allow the topic text to prepopulate the bug report. 

That would effectively double the size of the book, but it might be a worthwhile price to pay in some cases for the convenience, and if it's configurable, then it's at the author's discretion.
Comment 7 Joshua Wulf 2012-02-29 23:30:43 EST
In summary: I'd like it to be able to use different bugtracking systems, and to facilitate mashing up with Zanata for experimental purposes.

Note You need to log in before you can comment on or make changes to this bug.